Subject: Re: bug#74747: 30.0.92; scratch/igc: crashes when executing M-x list-packages

From: Gregor Zattler <[email-masked]>
Date: Mon, 09 Dec 2024 17:15:54 +0100

Hi Pip, Gerd, Emacs developers,
* Pip Cet <[email-masked]> [2024-12-09; 16:02 GMT]:
> "Gregor Zattler via \"Bug reports for GNU Emacs, the Swiss army knife of text editors\"" <[email-masked]> writes:
>> I'm happy to answer very specifically
>> specified questions.
>
> Is this reproducible, or did it just happen once?

this was reproducible, it happened
several times, while I tried to get as
much debug info as possible.

> If you still have the gdb session, can you "p main_thread" and reproduce
> the output here?  I suspect that something has overwritten the
> main_thread MPS header, but I don't understand how that could have
> happened.

Sorry no.  Will try to do so next time,
but this is a laptop, which is shut down
very often.

ATM the next build is running,
configured without
--enable-checkingigc_check_fwd, but this
will take many hours, since I build from
freshly checked out sources (simple
re-configure and make resulted in a
purespace overflow while loading before
dumping bootstrap-emacs.pdmp).

Ciao; Gregor
--
 -... --- .-. . -.. ..--.. ...-.-